1 ## Process this file with automake to produce Makefile.in
5 BUILT_SOURCES = config-paths.h
7 DISTCLEANFILES = config-paths.h
9 config.h: config-paths.h
11 config-paths.h: Makefile
13 @echo '/* this is a generated file - do not edit */' > $@
15 @echo '/* define where the translations are stored */' >> $@
16 @echo '#define LOCALEDIR "$(localedir)"' >> $@
18 @echo '/* define an extra path for pixmaps */' >> $@
19 @echo '#define PIXMAPDIR "$(pixmapdir)"' >> $@
21 @echo '/* where shared data is stored */' >> $@
22 @echo '#define PKGDATADIR "$(datadir)/$(PACKAGE_TARNAME)"' >> $@
24 @echo '/* where the global defaults are stored */' >> $@
25 @echo '#define PKGCONFDIR "$(pkgconfdir)"' >> $@
27 @echo '/* where the user data root is located */' >> $@
28 @echo '#define GSUSER_SUBDIR "GNUstep"' >> $@
30 @echo '/* where the user defaults are stored */' >> $@
31 @echo '#define DEFAULTS_SUBDIR "Defaults"' >> $@
33 @echo '/* where the user data are stored */' >> $@
34 @echo '#define USERDATA_SUBDIR "Library"' >> $@
36 ACLOCAL_AMFLAGS = -I m4
38 # Improve coverage in 'make distcheck' by checking that translations work
39 AM_DISTCHECK_CONFIGURE_FLAGS = --enable-silent-rules LINGUAS='*'
42 SUBDIRS = wrlib WINGs src util po WindowMaker wmlib WPrefs.app doc
43 DIST_SUBDIRS = $(SUBDIRS) test
45 EXTRA_DIST = TODO BUGS BUGFORM FAQ INSTALL \
46 INSTALL-WMAKER README.i18n README.definable-cursor \
47 The-perfect-Window-Maker-patch.txt \
48 README COPYING.WTFPL autogen.sh \
49 email-clients.txt checkpatch.pl update-changelog.pl \
50 script/check-cmdline-options-doc.sh \
51 script/check-translation-sources.sh \
52 script/check-wmaker-loaddef-callbacks.sh \
53 script/generate-html-from-man.sh \
54 script/generate-mapfile-from-header.sh \
55 script/generate-po-from-template.sh \
56 script/generate-txt-from-texi.sh \
57 script/nested-func-to-macro.sh \
58 script/replace-ac-keywords.sh \
59 script/replace-generated-content.sh
62 .PHONY: coverage-reset coverage
66 find . -type f -name '*.gcda' -exec rm -f '{}' ';'
67 lcov --directory . --zerocounters
70 rm -rf coverage @lcov_output_directory@
71 -mkdir -p coverage @lcov_output_directory@
72 lcov --compat-libtool --capture --directory . --output-file coverage/coverage.info
73 genhtml --output-directory @lcov_output_directory@ coverage/coverage.info
76 ################################################################################
77 # Section for the I18N processing
78 ################################################################################
80 # make update-lang PO=<lang>
81 # ==========================
82 # Update the PO files against the POT file in all the translation sub-directories
84 # We do not use an automatic recursive target from Automake (AM_EXTRA_RECURSIVE_TARGETS)
85 # because we want to check only once that the variable PO was defined; the added bonus
86 # being that we do not process all directories but only the related ones, which is
87 # faster and a lot less verbose
91 @if echo "$(PO)" | grep -v '^[a-z][a-z]\(_[A-Z][A-Z]\)\?$$' > /dev/null ; then \
92 echo "Error: invalid value \"$(PO)\" for update-lang, use PO=<lang>" >&2 ; exit 1 ; \
94 for subdir in $(SUBDIRS_PO); do \
95 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) update-lang || exit $$?); \
98 SUBDIRS_PO = wrlib/po WINGs/po po util/po WPrefs.app/po
100 @echo "Error: the program 'xgettext' was not found by configure, it is mandatory for this operation" >&2 ; exit 1
105 ################################################################################
106 # Section related to generating HTML content for the website
107 ################################################################################
114 @for subdir in $(SUBDIRS_WEB); do \
115 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) website || exit $$?); \
122 ################################################################################
123 # Section for the automated checks
124 ################################################################################
126 # Create a 'silent-rule' for our make check the same way automake does
127 AM_V_CHKOPTS = $(am__v_CHKOPTS_$(V))
128 am__v_CHKOPTS_ = $(am__v_CHKOPTS_$(AM_DEFAULT_VERBOSITY))
129 am__v_CHKOPTS_0 = @echo " CHK $@" ;
132 check-local: configure-documentation
134 configure-documentation:
135 $(AM_V_CHKOPTS)$(top_srcdir)/script/check-cmdline-options-doc.sh \
136 --program "$(top_srcdir)/configure" --text-doc "$(top_srcdir)/INSTALL-WMAKER" \
137 --ignore-prg 'with-PACKAGE,without-PACKAGE # only template names from Autoconf' \
138 --ignore-prg 'program-prefix,program-suffix,program-transform-name # in INSTALL' \
139 --ignore-prg 'version,quiet,srcdir,build,host,cache-file,no-create # in INSTALL' \
140 --ignore-prg 'enable-silent-rules,disable-silent-rules # should be in INSTALL' \
141 --ignore-prg 'enable-dependency-tracking,disable-dependency-tracking # in INSTALL' \
142 --ignore-prg 'enable-shared,enable-static # should be in INSTALL' \
143 --ignore-prg 'disable-option-checking,enable-fast-install # should be in INSTALL' \
144 --ignore-prg 'disable-libtool-lock,with-pic,with-gnu-ld,with-sysroot # for libtool' \
145 --ignore-prg 'runstatedir #new in autoconf 2.70, backported in Debian' \
146 --ignore-prg 'with-aix-soname #new in libtool 2.4.4' \
147 --ignore-prg 'with-x # no use, it would not work without X'
149 .PHONY: configure-documentation